# Derivative
A derivative is a type of financial contract whose value is dependent on an underlying asset, group of assets, or benchmark.

Underlying assets for derivatives are most often stocks, bonds, commodities, currencies, interest rates, and market indexes. The value of the contract itself depend on changes in the prices of the underlying asset.

## Examples
* Futures
* Forwards
* Swaps
* Options
* Interest Rate Swaps
* [Credit Default Swaps](cds.md)